package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.MsgAccountDetail;
import com.sa.ibiz.demo.demo.service.dto.MsgAccountDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[MsgAccountDetail] 服务对象接口
 */
public interface MsgAccountDetailService extends IService<MsgAccountDetail>{

	boolean checkKey(MsgAccountDetail et);
	boolean create(MsgAccountDetail et);
	boolean update(MsgAccountDetail et);
		MsgAccountDetail get(MsgAccountDetail et);
	boolean remove(MsgAccountDetail et);
	boolean getDraft(MsgAccountDetail et);
    List<MsgAccountDetail> listDefault(MsgAccountDetailSearchFilter filter) ;
	Page<MsgAccountDetail> searchDefault(MsgAccountDetailSearchFilter filter);
	/**	 实体[MsgAccountDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }